var argv = require('yargs')
  .usage('Usage: nj <file|*.ext> [context] [options]')
  .example('nj foo.tpl data.json', 'Compile foo.tpl to dist/foo.html')
  .example('nj *.tpl -w -p src -o dist',
    'Watch .tpl files in src folder, compile them to dist folder')
  .demand(1)
  .option('path', {
    alias: 'p',
    string: true,
    requiresArg: true,
    nargs: 1,
    describe: 'Path where templates live'
  })
  .option('out', {
    alias: 'o',
    string: true,
    requiresArg: true,
    nargs: 1,
    describe: 'Output folder'
  })
  .option('watch',{
    alias: 'w',
    boolean: true,
    describe: 'Watch files change, except files starting by "_"'
  })
  .option('options', {
    alias: 'O',
    string: true,
    requiresArg: true,
    nargs: 1,
    describe: 'Nunjucks options file'
  })
  .help()
  .alias('help', 'h')
  .epilogue('For more information on Nunjucks: https://mozilla.github.io/nunjucks/api.html')
  .argv
  
module.exports = argv